<< isallpass | FOSSEE_Signal_Processing_Toolbox | islinphase >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > isfir

# isfir

This function checks whether given system function is FIR or not

### Syntax

    fir = isfir(b,a)
    fir = isfir(sos)

### Parameters

a :

  denumerator coefficient matrix

b :

  numerator coefficient matrix

sos :

  second order split matrix

fir :

  fir == 1 if system is FIR , fir == 0 if system is not FIR

### Description

This function take a system function (in terms of denumerator and numerator coefficient matrix or in term of second order split (sos) matrix) as input and checks

### Examples

    fir = isfir([1 -1 1], 1)

### Authors

- Parthasarathi Panda ( parthasarathipanda314@gmail.com )

Report an issue
<< isallpass | FOSSEE_Signal_Processing_Toolbox | islinphase >>